const mongoose = require("mongoose");

const BotSchema = new mongoose.Schema({
  userId: { type: mongoose.Schema.Types.ObjectId, ref: "User", required: true },
  uuid: { type: String, required: true, unique: true },
  botName: { type: String, required: true },
  tone: { type: Object, required: true },
  interests: { type: Object, required: true },
  trainingData: { type: String },
  trainingFile: { type: String },
  filePath: { type: String },
  tokenId: { type: String },
  tokenName: { type: String },
  tokenSymbol: { type: String },
});

module.exports = mongoose.model("Bot", BotSchema);
